﻿
/* STANDARD */

body {
    background-color: white;
    color: darkblue;
    font-size:small;
    font-weight:bold;
}

/* Button */
input[type=button], input[type=submit], input[type=reset] {
    font-size: x-large;
    color: darkblue;
    border: 3px solid darkblue;
    border-radius: 10px;
    padding: 10px 10px;
	cursor: pointer;
}

/* Image-Button */
input[type=image] {
    border: 5px solid transparent;
    border-radius: 10px;
    cursor: pointer;
}

/* Link */
a {
    border: 5px solid transparent;
    border-radius: 10px;
    font-size: x-large;
    cursor: pointer;
}
a:hover {
    background-color: lightblue;
}

/* Label */
label, span {
    font-size: x-large;
}

caption{
    font-size: large;
    color: red;
    border: 1px solid darkblue;
    text-align: left;
}

/* Textfeld  */
input[type=text], input[type=date], input[type=search], input[type=password], select {
    font-size: x-large;
    padding: 5px 5px;
    border-width: 3px;
    border-radius: 10px;
    box-sizing: border-box;
} 
:focus {
    border: 3px solid red;
}

/* Auswahl rot markieren */
input[type=radio]:checked ~ label, input[type=checkbox]:checked ~ label { 
    color: red; 
}

/* Image */
img {
    border-radius: 10px;
}

/* Tabelle */
table {
    border-radius: 10px;
}

/* KLASSEN */

/* FileUpload individualisieren */
.inputfile {
    height: 1px;
    width: 1px;
	opacity: 0;
	overflow: hidden;
	position: absolute;
	z-index: -1;
}
.inputfile + label {
    background-color: ButtonFace;
    color: ButtonText;
    border: 5px solid transparent;
    border-radius: 10px;
    padding: 5px 25px;
    display: inline-block;
	cursor: pointer;
}

.duklerHintergrund {
    background-color: darkblue;
    color: white;
}

/* Blinkender Rahmen */
.blink {
    animation: blink-animation 1s linear infinite;
    -webkit-animation: blink-animation 1s linear infinite;
}
@keyframes blink-animation { from,  49.9% { border-color: red;  }  50%,  to { border-color: transparent;  } }
@-webkit-keyframes blink-animation { from,  49.9% { border-color: red;  }  50%,  to { border-color: transparent;  } }
